.car-cards-section.close,
.not-found.close {
  display: none;
}

.car-cards-section-wrapper {
  background-color: var(--white);
  position: relative;
}

.car-cards-section-wrapper .ellipse {
  width: 105%;
  height: 23%;
  left: calc(50% - 105% / 2);
  top: 5%;
  transform: matrix(0.86, 0.5, -0.5, 0.87, 0, 0);
}

.car-cards-section-wrapper .ellipse:nth-child(2) {
  top: calc(50% - 30% / 2);
}

.car-cards-section-wrapper .ellipse:nth-child(3) {
  top: 75%;
}

.car-cards-section-wrapper .cards-list {
  width: 100%;
  min-height: 100vh;
}

.car-cards-section-wrapper .button.to-top {
  width: 67px;
  height: 67px;

  position: absolute;
  transform-origin: center;
  bottom: 120px;
}

.car-cards-section-wrapper .button.to-top .button-icon {
  width: 100%;
  height: 100%;
  stroke: var(--dark-blue);
}

.car-cards-section .cards-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto;
  column-gap: var(--space-20);
  row-gap: var(--space-40);
  justify-items: center;
  margin: 0 auto;
}

.not-found {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: var(--space-180) 0;
}

.not-found .headline {
  text-align: center;
}
.not-found .body-text {
  text-align: center;
  margin-top: var(--space-24);
}

.not-found .button {
  margin-top: var(--space-60);
}

@media (max-width: 1720px) {
  .car-cards-section-wrapper .button.to-top {
    transform: scale(0.75);
  }
}

@media (max-width: 1520px) {

  .car-cards-section .cards-list {
    grid-template-columns: repeat(2, 1fr);
  }

  .car-card-container {
    justify-self: end;
  }

  .car-card-container:nth-child(2n) {
    justify-self: start;
  }
}

@media (max-width: 1240px) {
  .car-cards-section-wrapper .button.to-top {
    bottom: 100px;
  }
}

@media (max-width: 1023px) {
  .car-cards-section .cards-list {
    column-gap: var(--space-16);
    row-gap: var(--space-24);
  }
  .car-cards-section-wrapper .button.to-top {
    bottom: 70px;
    transform: scale(0.7);
  }

 

  .not-found .body-text {
    margin-top: var(--space-16);
  }
}

@media (max-width: 767px) {

  .car-cards-section .section-header .label {
    display: none !important;
  }

  .car-cards-section-wrapper .button.to-top {
    bottom: 0;
    transform: scale(0.6);
  }

  .car-cards-section .cards-list {
    gap: var(--space-20);
  }

  .not-found .headline {
    font-size: var(--font-22);
  }

  .not-found .body-text {
   
    margin-top: var(--space-8);
    
  }

  .not-found .button {
    margin-top: var(--space-40);
  }
}

@media (max-width: 740px) {
  .car-cards-section .cards-list {
    width: 100%;
    grid-template-columns: 1fr;
  }
  .car-cards-section .cards-list .car-card-container:nth-child(2n),
  .car-cards-section .cards-list .car-card-container {
    justify-self: center;
  }
}
